RK-J - Bug #3370

Active extension causes get purple link API to be called unnecessarily
01/13/2024 03:31 AM - Ram Kordale

Status: Closed Start date: 01/13/2024
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Observation: A very large number (1 per second?) API calls were being made from a laptop until the extension was removed from
chrome://extensions. Initial observation is that the o-url passed in the api call is the latest url visited on Chrome.

Such traffic has been noticed from at least Dec 20th. We don't know if this happened before Dec 13th but did not happen from Dec
13-19.

https://docs.google.com/spreadsheets/d/1bVPsVOghSbACxRkgVAJHpJQLINOWEe8uOaSZWPZsJ_E/edit#gid=644236331 has the
best information about MRs that went into production. Since it is possible that someone may have installed an earlier extension or an
extension that was not yet merged, any MR around this date is suspect.

History

#1 - 01/30/2024 01:17 PM - Ayanava Karmakar
- Status changed from New to Closed
- Assignee changed from Ayanava Karmakar to Md Shahzar

- % Done changed from 0 to 100

Issue fixed by http://34.67.50.25/issues/3375

#2 - 01/30/2024 01:17 PM - Ayanava Karmakar

- Assignee changed from Md Shahzar to Ram Kordale
